org.apache.solr.search

## Class BitsFilteredPostingsEnum

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.PostingsEnum
    - - org.apache.lucene.index.FilterLeafReader.FilterPostingsEnum
      - - org.apache.solr.search.BitsFilteredPostingsEnum

-     public class BitsFilteredPostingsEnum
      extends FilterLeafReader.FilterPostingsEnum

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterLeafReader.FilterPostingsEnum

      `in`

    - ### Fields inherited from class org.apache.lucene.index.PostingsEnum

      `ALL, FREQS, NONE, OFFSETS, PAYLOADS, POSITIONS`

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `advance(int target)`
    `int` | `nextDoc()`
    `static PostingsEnum` | `wrap(PostingsEnum in, Bits acceptDocs)`

    - ### Methods inherited from class org.apache.lucene.index.FilterLeafReader.FilterPostingsEnum

      `attributes, cost, docID, endOffset, freq, getPayload, nextPosition, startOffset`

    - ### Methods inherited from class org.apache.lucene.index.PostingsEnum

      `featureRequested`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `all, empty, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### wrap

          public static PostingsEnum wrap(PostingsEnum in,
                                          Bits acceptDocs)

    - #### nextDoc

          public int nextDoc()
                      throws IOException

      Overrides:
        `nextDoc` in class `FilterLeafReader.FilterPostingsEnum`
      Throws:
        `IOException`

    - #### advance

          public int advance(int target)
                      throws IOException

      Overrides:
        `advance` in class `FilterLeafReader.FilterPostingsEnum`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.